Bug 124434 - Install does not support swap file configuration
Install does not support swap file configuration
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-05-26 11:30 EDT by Steve Chaplin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-27 17:11:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Chaplin 2004-05-26 11:30:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
On performing a new install I wanted to configure a swap file instead
of a swap partition. A swap file is more flexible and convenient to
use than a swap partition, since you can reconfigure it later if
required, unlike a swap partition which has fixed size determined by
the disk partitioning.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Perform new install.
2.Manually partition disk and do not create a swap partition.

Actual Results:  A warning is given:
"You have not specified a swap partition.  "
"Although not strictly required in all cases, "
"it will significantly improve performance for "
"most installations."

I think this statement is incorrect for the 2.6 kernel - a system with
a swap file should perform just as well as a system with a swap
partition. You should also be able to run Linux without a swap file or
partition if you wish (and have a reasonable amount of memory).

Linux did not install, the system rebooted and reported a grub error.

Expected Results:  To be given the option to create a swap file (or
have a swap file created automatically).

Additional info:
Comment 1 Jeremy Katz 2004-05-26 11:38:19 EDT
Running without any swap does have somewhat detrimental effects, hence
the warning.  Adding support for creating swap files is non-ideal from
a UI perspective and thus isn't going to happen in the near to medium
Comment 2 Bastien Nocera 2006-03-27 17:06:52 EST
Reopening as an RFE, following:
Comment 3 Jeremy Katz 2006-03-27 17:11:08 EST
There are still reasons not to do swap files (including swsusp, which is even
mentioned there :-) and the UI for doing them would still be pretty sub-par

Note You need to log in before you can comment on or make changes to this bug.